local Point3 = _radiant.csg.Point3
local Cube3 = _radiant.csg.Cube3
local Color4 = _radiant.csg.Color4
local Rect2 = _radiant.csg.Rect2
local Point2 = _radiant.csg.Point2
local cam = stonehearth.camera
local CannonadeCallHandler = class()

function log(text)
  radiant.log.write('cannonade', 0, text)
end

local logger = radiant.log.create_logger('test');

function CannonadeCallHandler:fire_artillery_on_target(session, response, source_artillery)
  log("hello world")
  logger:error('hello again')
  local banner_info = {banner = 'stonehearth:individual_command_marker', banner_variant = nil}
  local location_selector = stonehearth.selection:select_location()
     :use_ghost_entity_cursor(banner_info.banner, banner_info.variant)
     :set_location_cursor("stonehearth:cursors:defend_cursor")
     :done(function(selector, location, rotation)

           log("resolving")

           response:resolve({})
        end)
     :fail(function(selector)
           selector:destroy()
           log("failed")
           response:reject('no location, user may have cancelled command')
        end)
     :go()
  return false
end


return CannonadeCallHandler
